Index: branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Properties/Resources.Designer.cs
===================================================================
--- branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Properties/Resources.Designer.cs	(revision 9519)
+++ branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Properties/Resources.Designer.cs	(revision 9519)
@@ -0,0 +1,222 @@
+﻿//------------------------------------------------------------------------------
+// <auto-generated>
+//     This code was generated by a tool.
+//     Runtime Version:4.0.30319.18047
+//
+//     Changes to this file may cause incorrect behavior and will be lost if
+//     the code is regenerated.
+// </auto-generated>
+//------------------------------------------------------------------------------
+
+namespace HeuristicLab.Problems.GPDL.Views.Properties {
+    using System;
+    
+    
+    /// <summary>
+    ///   A strongly-typed resource class, for looking up localized strings, etc.
+    /// </summary>
+    // This class was auto-generated by the StronglyTypedResourceBuilder
+    // class via a tool like ResGen or Visual Studio.
+    // To add or remove a member, edit your .ResX file then rerun ResGen
+    // with the /str option, or rebuild your VS project.
+    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
+    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+    internal class Resources {
+        
+        private static global::System.Resources.ResourceManager resourceMan;
+        
+        private static global::System.Globalization.CultureInfo resourceCulture;
+        
+        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
+        internal Resources() {
+        }
+        
+        /// <summary>
+        ///   Returns the cached ResourceManager instance used by this class.
+        /// </summary>
+        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+        internal static global::System.Resources.ResourceManager ResourceManager {
+            get {
+                if (object.ReferenceEquals(resourceMan, null)) {
+                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.Problems.GPDL.Views.Properties.Resources", typeof(Resources).Assembly);
+                    resourceMan = temp;
+                }
+                return resourceMan;
+            }
+        }
+        
+        /// <summary>
+        ///   Overrides the current thread's CurrentUICulture property for all
+        ///   resource lookups using this strongly typed resource class.
+        /// </summary>
+        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+        internal static global::System.Globalization.CultureInfo Culture {
+            get {
+                return resourceCulture;
+            }
+            set {
+                resourceCulture = value;
+            }
+        }
+        
+        /// <summary>
+        ///   Looks up a localized string similar to PROBLEM ArtificialAnt
+        ///
+        ///CODE &lt;&lt;
+        ///public struct Point { 
+        ///  public int x; public int y; 
+        ///  public Point(int x, int y) {
+        ///    this.x = x;
+        ///	this.y = y;
+        ///  }
+        ///};
+        ///
+        ///class World {
+        ///
+        ///private static string[] LosAltosTrail = new string[] {
+        ///&quot; ###                                          &quot;,
+        ///&quot;   #                                  .###..  &quot;,
+        ///&quot;   #                                  #    #  &quot;,
+        ///&quot;   #                                  #    #  &quot;,
+        ///&quot;   ####.#####           .############..    .  &quot;,
+        ///&quot;            #       [rest of string was truncated]&quot;;.
+        /// </summary>
+        internal static string Artificial_Ant {
+            get {
+                return ResourceManager.GetString("Artificial_Ant", resourceCulture);
+            }
+        }
+        
+        /// <summary>
+        ///   Looks up a localized string similar to PROBLEM Factorial
+        ///CODE&lt;&lt;
+        ///  string[] allTerminals = new string[] {&quot;a&quot;, &quot;b&quot;, &quot;c&quot;, &quot;d&quot;, &quot;e&quot;, &quot;n&quot;} ; 
+        ///  SymTab symTab = new SymTab();
+        ///
+        ///  class SymTab {
+        ///    private Dictionary&lt;string, int&gt; values = new Dictionary&lt;string,int&gt;();
+        ///    public void SetValue(string id, int val) {
+        ///      values[id] = val;
+        ///    }
+        ///    public int GetValue(string id) {
+        ///      int val = 0;
+        ///      values.TryGetValue(id, out val);      
+        ///      return val;
+        ///    }
+        ///  }
+        ///&gt;&gt;
+        ///
+        ///NONTERMINALS
+        ///  Program&lt;&lt;int n, out int r&gt;&gt;.                  [rest of string was truncated]&quot;;.
+        /// </summary>
+        internal static string Factorial {
+            get {
+                return ResourceManager.GetString("Factorial", resourceCulture);
+            }
+        }
+        
+        /// <summary>
+        ///   Looks up a localized string similar to PROBLEM Fib
+        ///CODE&lt;&lt;
+        ///  string[] allTerminals = new string[] {&quot;a&quot;, &quot;b&quot;, &quot;c&quot;, &quot;d&quot;, &quot;e&quot;, &quot;n&quot;} ; 
+        ///  SymTab symTab = new SymTab();
+        ///
+        ///  class SymTab {
+        ///    private Dictionary&lt;string, int&gt; values = new Dictionary&lt;string,int&gt;();
+        ///    public void SetValue(string id, int val) {
+        ///      values[id] = val;
+        ///    }
+        ///    public int GetValue(string id) {
+        ///      int val = 0;
+        ///      values.TryGetValue(id, out val);      
+        ///      return val;
+        ///    }
+        ///  }
+        ///&gt;&gt;
+        ///
+        ///NONTERMINALS
+        ///  Program&lt;&lt;int n, out int r&gt;&gt;.                        [rest of string was truncated]&quot;;.
+        /// </summary>
+        internal static string Fib {
+            get {
+                return ResourceManager.GetString("Fib", resourceCulture);
+            }
+        }
+        
+        /// <summary>
+        ///   Looks up a localized string similar to PROBLEM MultiOutputMultiplier
+        ///
+        ///CODE &lt;&lt;
+        ///  const int N = 4;
+        ///  class State { public bool[] x1; public bool[] x2; public bool[] output; }
+        ///  private void GenerateProblemData(int n, out bool[][] a, out bool[][] b, out bool[][] expectedOutput) {
+        ///    var nConfigurations = (int)Math.Pow(2, n);
+        ///    var e = from i in Enumerable.Range(0, nConfigurations)
+        ///            from j in Enumerable.Range(0, i+1)
+        ///            select new {a = ToBitArray(N, i), b = ToBitArray(N, j), res = ToBitArray(2*N, i*j) };
+        ///    
+        ///    a  [rest of string was truncated]&quot;;.
+        /// </summary>
+        internal static string multi_output_multiplier {
+            get {
+                return ResourceManager.GetString("multi_output_multiplier", resourceCulture);
+            }
+        }
+        
+        /// <summary>
+        ///   Looks up a localized string similar to PROBLEM SymbReg
+        ///
+        ///CODE &lt;&lt;
+        ///  double[,] inputValues;
+        ///  double[] targetValues;
+        ///  string[] variableNames;
+        ///  Dictionary&lt;string,int&gt; nameToCol;
+        ///  
+        ///  double GetValue(double[,] data, string varName, int row) {
+        ///    if(nameToCol == null) {
+        ///      /* init mapping */
+        ///      nameToCol = new Dictionary&lt;string, int&gt;();
+        ///      for(int i=0; i&lt;variableNames.Length; i++) {
+        ///        nameToCol[variableNames[i]] = i;
+        ///      }
+        ///    }
+        ///    return data[row, nameToCol[varName]];
+        ///  }
+        ///
+        ///  double RSquared(IEnumerable&lt;double&gt;  [rest of string was truncated]&quot;;.
+        /// </summary>
+        internal static string symbreg_HEAL {
+            get {
+                return ResourceManager.GetString("symbreg_HEAL", resourceCulture);
+            }
+        }
+        
+        /// <summary>
+        ///   Looks up a localized string similar to PROBLEM SymbRegKoza
+        ///CODE &lt;&lt;
+        ///  double[,] inputValues;
+        ///  double[] targetValues;
+        ///  string[] variableNames;
+        ///  Dictionary&lt;string,int&gt; nameToCol;
+        ///  
+        ///  double GetValue(double[,] data, string varName, int row) {
+        ///    if(nameToCol == null) {
+        ///      /* init mapping */
+        ///      nameToCol = new Dictionary&lt;string, int&gt;();
+        ///      for(int i=0; i&lt;variableNames.Length; i++) {
+        ///        nameToCol[variableNames[i]] = i;
+        ///      }
+        ///    }
+        ///    return data[row, nameToCol[varName]];
+        ///  }
+        ///
+        ///  double RSquared(IEnumerable&lt;double [rest of string was truncated]&quot;;.
+        /// </summary>
+        internal static string symbreg_Koza {
+            get {
+                return ResourceManager.GetString("symbreg_Koza", resourceCulture);
+            }
+        }
+    }
+}
Index: branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Properties/Resources.resx
===================================================================
--- branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Properties/Resources.resx	(revision 9519)
+++ branches/HeuristicLab.Problems.GPDL/HeuristicLab.Problems.GPDL.Views/3.4/Properties/Resources.resx	(revision 9519)
@@ -0,0 +1,139 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <assembly alias="System.Windows.Forms" name="System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" />
+  <data name="Artificial_Ant" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\Resources\Artificial Ant.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
+  </data>
+  <data name="Factorial" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\Resources\Factorial.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
+  </data>
+  <data name="Fib" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\Resources\Fib.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
+  </data>
+  <data name="multi_output_multiplier" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\Resources\multi-output-multiplier.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
+  </data>
+  <data name="symbreg_HEAL" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\Resources\symbreg HEAL.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
+  </data>
+  <data name="symbreg_Koza" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\Resources\symbreg Koza.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
+  </data>
+</root>