Index: trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.Designer.cs	(revision 9496)
+++ trunk/sources/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.Designer.cs	(revision 9520)
@@ -84,4 +84,7 @@
       this.heightNumericUD = new System.Windows.Forms.NumericUpDown();
       this.splitContainer = new System.Windows.Forms.SplitContainer();
+      this.legendGroupBox = new System.Windows.Forms.GroupBox();
+      this.label20 = new System.Windows.Forms.Label();
+      this.legendPositionComboBox = new System.Windows.Forms.ComboBox();
       this.chartAreaComboBox = new System.Windows.Forms.ComboBox();
       this.togglePreviewCheckBox = new System.Windows.Forms.CheckBox();
@@ -105,4 +108,5 @@
       this.splitContainer.Panel2.SuspendLayout();
       this.splitContainer.SuspendLayout();
+      this.legendGroupBox.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.previewPictureBox)).BeginInit();
       this.SuspendLayout();
@@ -130,5 +134,5 @@
       this.okButton.DialogResult = System.Windows.Forms.DialogResult.OK;
       this.okButton.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.okButton.Location = new System.Drawing.Point(141, 487);
+      this.okButton.Location = new System.Drawing.Point(141, 552);
       this.okButton.Name = "okButton";
       this.okButton.Size = new System.Drawing.Size(75, 23);
@@ -198,5 +202,5 @@
             "800",
             "1200"});
-      this.resolutionComboBox.Location = new System.Drawing.Point(84, 383);
+      this.resolutionComboBox.Location = new System.Drawing.Point(84, 450);
       this.resolutionComboBox.Name = "resolutionComboBox";
       this.resolutionComboBox.Size = new System.Drawing.Size(83, 21);
@@ -215,5 +219,5 @@
             0,
             65536});
-      this.widthNumericUD.Location = new System.Drawing.Point(84, 410);
+      this.widthNumericUD.Location = new System.Drawing.Point(84, 477);
       this.widthNumericUD.Minimum = new decimal(new int[] {
             1,
@@ -234,5 +238,5 @@
       // 
       this.label5.AutoSize = true;
-      this.label5.Location = new System.Drawing.Point(18, 386);
+      this.label5.Location = new System.Drawing.Point(18, 453);
       this.label5.Name = "label5";
       this.label5.Size = new System.Drawing.Size(60, 13);
@@ -243,5 +247,5 @@
       // 
       this.label6.AutoSize = true;
-      this.label6.Location = new System.Drawing.Point(18, 412);
+      this.label6.Location = new System.Drawing.Point(18, 479);
       this.label6.Name = "label6";
       this.label6.Size = new System.Drawing.Size(38, 13);
@@ -306,5 +310,5 @@
       // 
       this.cancelButton.DialogResult = System.Windows.Forms.DialogResult.Cancel;
-      this.cancelButton.Location = new System.Drawing.Point(222, 487);
+      this.cancelButton.Location = new System.Drawing.Point(222, 552);
       this.cancelButton.Name = "cancelButton";
       this.cancelButton.Size = new System.Drawing.Size(75, 23);
@@ -340,5 +344,5 @@
       this.groupBox1.Controls.Add(this.label4);
       this.groupBox1.Controls.Add(this.label3);
-      this.groupBox1.Location = new System.Drawing.Point(12, 154);
+      this.groupBox1.Location = new System.Drawing.Point(12, 221);
       this.groupBox1.Name = "groupBox1";
       this.groupBox1.Size = new System.Drawing.Size(258, 82);
@@ -377,5 +381,5 @@
       this.groupBox2.Controls.Add(this.label14);
       this.groupBox2.Controls.Add(this.label15);
-      this.groupBox2.Location = new System.Drawing.Point(12, 64);
+      this.groupBox2.Location = new System.Drawing.Point(12, 131);
       this.groupBox2.Name = "groupBox2";
       this.groupBox2.Size = new System.Drawing.Size(258, 84);
@@ -460,5 +464,5 @@
       this.groupBox3.Controls.Add(this.axisFontSizeComboBox);
       this.groupBox3.Controls.Add(this.titleFontSizeComboBox);
-      this.groupBox3.Location = new System.Drawing.Point(12, 242);
+      this.groupBox3.Location = new System.Drawing.Point(12, 309);
       this.groupBox3.Name = "groupBox3";
       this.groupBox3.Size = new System.Drawing.Size(258, 131);
@@ -569,5 +573,5 @@
       // 
       this.label16.AutoSize = true;
-      this.label16.Location = new System.Drawing.Point(18, 438);
+      this.label16.Location = new System.Drawing.Point(18, 505);
       this.label16.Name = "label16";
       this.label16.Size = new System.Drawing.Size(41, 13);
@@ -583,5 +587,5 @@
             0,
             65536});
-      this.heightNumericUD.Location = new System.Drawing.Point(84, 436);
+      this.heightNumericUD.Location = new System.Drawing.Point(84, 503);
       this.heightNumericUD.Minimum = new decimal(new int[] {
             1,
@@ -608,4 +612,5 @@
       // splitContainer.Panel1
       // 
+      this.splitContainer.Panel1.Controls.Add(this.legendGroupBox);
       this.splitContainer.Panel1.Controls.Add(this.chartAreaComboBox);
       this.splitContainer.Panel1.Controls.Add(this.togglePreviewCheckBox);
@@ -632,8 +637,44 @@
       this.splitContainer.Panel2.Controls.Add(this.rawImageSizeLabel);
       this.splitContainer.Panel2.Controls.Add(this.previewZoomLabel);
-      this.splitContainer.Size = new System.Drawing.Size(793, 478);
+      this.splitContainer.Size = new System.Drawing.Size(793, 542);
       this.splitContainer.SplitterDistance = 300;
       this.splitContainer.SplitterWidth = 1;
       this.splitContainer.TabIndex = 1;
+      // 
+      // legendGroupBox
+      // 
+      this.legendGroupBox.Controls.Add(this.label20);
+      this.legendGroupBox.Controls.Add(this.legendPositionComboBox);
+      this.legendGroupBox.Location = new System.Drawing.Point(12, 64);
+      this.legendGroupBox.Name = "legendGroupBox";
+      this.legendGroupBox.Size = new System.Drawing.Size(258, 61);
+      this.legendGroupBox.TabIndex = 17;
+      this.legendGroupBox.TabStop = false;
+      this.legendGroupBox.Text = "Legend";
+      // 
+      // label20
+      // 
+      this.label20.AutoSize = true;
+      this.label20.Location = new System.Drawing.Point(6, 27);
+      this.label20.Name = "label20";
+      this.label20.Size = new System.Drawing.Size(47, 13);
+      this.label20.TabIndex = 0;
+      this.label20.Text = "Position:";
+      // 
+      // legendPositionComboBox
+      // 
+      this.legendPositionComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.legendPositionComboBox.FormattingEnabled = true;
+      this.legendPositionComboBox.Items.AddRange(new object[] {
+            "Top",
+            "Right",
+            "Bottom",
+            "Left",
+            "Hidden"});
+      this.legendPositionComboBox.Location = new System.Drawing.Point(72, 24);
+      this.legendPositionComboBox.Name = "legendPositionComboBox";
+      this.legendPositionComboBox.Size = new System.Drawing.Size(159, 21);
+      this.legendPositionComboBox.TabIndex = 3;
+      this.legendPositionComboBox.SelectedIndexChanged += new System.EventHandler(this.legendPositionComboBox_SelectedIndexChanged);
       // 
       // chartAreaComboBox
@@ -656,5 +697,5 @@
       this.togglePreviewCheckBox.Location = new System.Drawing.Point(277, 3);
       this.togglePreviewCheckBox.Name = "togglePreviewCheckBox";
-      this.togglePreviewCheckBox.Size = new System.Drawing.Size(20, 472);
+      this.togglePreviewCheckBox.Size = new System.Drawing.Size(20, 536);
       this.togglePreviewCheckBox.TabIndex = 16;
       this.togglePreviewCheckBox.Text = ">";
@@ -667,5 +708,5 @@
       this.lengthUnitComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.lengthUnitComboBox.FormattingEnabled = true;
-      this.lengthUnitComboBox.Location = new System.Drawing.Point(173, 422);
+      this.lengthUnitComboBox.Location = new System.Drawing.Point(173, 489);
       this.lengthUnitComboBox.Name = "lengthUnitComboBox";
       this.lengthUnitComboBox.Size = new System.Drawing.Size(70, 21);
@@ -677,5 +718,5 @@
       this.resolutionUnitComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.resolutionUnitComboBox.FormattingEnabled = true;
-      this.resolutionUnitComboBox.Location = new System.Drawing.Point(173, 383);
+      this.resolutionUnitComboBox.Location = new System.Drawing.Point(173, 450);
       this.resolutionUnitComboBox.Name = "resolutionUnitComboBox";
       this.resolutionUnitComboBox.Size = new System.Drawing.Size(70, 21);
@@ -696,5 +737,5 @@
       this.previewPictureBox.Location = new System.Drawing.Point(0, 3);
       this.previewPictureBox.Name = "previewPictureBox";
-      this.previewPictureBox.Size = new System.Drawing.Size(492, 453);
+      this.previewPictureBox.Size = new System.Drawing.Size(492, 520);
       this.previewPictureBox.SizeMode = System.Windows.Forms.PictureBoxSizeMode.CenterImage;
       this.previewPictureBox.TabIndex = 0;
@@ -704,5 +745,5 @@
       // 
       this.label19.AutoSize = true;
-      this.label19.Location = new System.Drawing.Point(85, 459);
+      this.label19.Location = new System.Drawing.Point(84, 526);
       this.label19.Name = "label19";
       this.label19.Size = new System.Drawing.Size(84, 13);
@@ -713,5 +754,5 @@
       // 
       this.label13.AutoSize = true;
-      this.label13.Location = new System.Drawing.Point(3, 459);
+      this.label13.Location = new System.Drawing.Point(2, 526);
       this.label13.Name = "label13";
       this.label13.Size = new System.Drawing.Size(37, 13);
@@ -722,5 +763,5 @@
       // 
       this.rawImageSizeLabel.AutoSize = true;
-      this.rawImageSizeLabel.Location = new System.Drawing.Point(175, 459);
+      this.rawImageSizeLabel.Location = new System.Drawing.Point(174, 526);
       this.rawImageSizeLabel.Name = "rawImageSizeLabel";
       this.rawImageSizeLabel.Size = new System.Drawing.Size(37, 13);
@@ -731,5 +772,5 @@
       // 
       this.previewZoomLabel.AutoSize = true;
-      this.previewZoomLabel.Location = new System.Drawing.Point(46, 459);
+      this.previewZoomLabel.Location = new System.Drawing.Point(45, 526);
       this.previewZoomLabel.Name = "previewZoomLabel";
       this.previewZoomLabel.Size = new System.Drawing.Size(33, 13);
@@ -748,5 +789,5 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
       this.CancelButton = this.cancelButton;
-      this.ClientSize = new System.Drawing.Size(794, 522);
+      this.ClientSize = new System.Drawing.Size(794, 587);
       this.ControlBox = false;
       this.Controls.Add(this.splitContainer);
@@ -772,4 +813,6 @@
       ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
       this.splitContainer.ResumeLayout(false);
+      this.legendGroupBox.ResumeLayout(false);
+      this.legendGroupBox.PerformLayout();
       ((System.ComponentModel.ISupportInitialize)(this.previewPictureBox)).EndInit();
       this.ResumeLayout(false);
@@ -829,4 +872,7 @@
     private System.Windows.Forms.CheckBox showPrimaryXAxisCheckBox;
     private System.Windows.Forms.ToolTip toolTip;
+    private System.Windows.Forms.GroupBox legendGroupBox;
+    private System.Windows.Forms.Label label20;
+    private System.Windows.Forms.ComboBox legendPositionComboBox;
   }
 }